Cantera 2.6.0

Classes | Namespaces | Functions
DenseMatrix.h File Reference

Headers for the DenseMatrix object, which deals with dense rectangular matrices and description of the numerics groupings of objects (see Numerical Utilities within Cantera and DenseMatrix ) . More...

`#include "cantera/base/ct_defs.h"`
`#include "cantera/base/ctexceptions.h"`
`#include "cantera/base/Array.h"`
Include dependency graph for DenseMatrix.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | DenseMatrix
| A class for full (non-sparse) matrices with Fortran-compatible data storage, which adds matrix operations to class Array2D. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
int | solve (DenseMatrix &A, double *b, size_t nrhs=1, size_t ldb=0)
| Solve Ax = b. Array b is overwritten on exit with x. More...
int | solve (DenseMatrix &A, DenseMatrix &b)
| Solve Ax = b for multiple right-hand-side vectors. More...
void | multiply (const DenseMatrix &A, const double *const b, double *const prod)
| Multiply `A*b` and return the result in `prod`. Uses BLAS routine DGEMV. More...
void | increment (const DenseMatrix &A, const double *const b, double *const prod)
| Multiply `A*b` and add it to the result in `prod`. Uses BLAS routine DGEMV. More...
int | invert (DenseMatrix &A, size_t nn=npos)
| invert A. A is overwritten with A^-1. More...

## Detailed Description

Headers for the DenseMatrix object, which deals with dense rectangular matrices and description of the numerics groupings of objects (see Numerical Utilities within Cantera and DenseMatrix ) .

Definition in file DenseMatrix.h.